(* Mathematica Test File *)


Test[
	Hermitian[Operator[0]],
	Operator[0],
	TestID->"Hermitian-20160701-O5W8W1"
]

Test[
	Hermitian[Operator[1]],
	Operator[1],
	TestID->"Hermitian-20160701-E8M7O1"
]

Test[
	Hermitian[Operator[P, {i, j}, {k, l}]],
	Operator[P, "H", {i, j}, {k, l}],
	TestID->"Hermitian-20160701-I4C5J5"
]

Test[
	Hermitian[Operator[P, "H", {i, j}, {k, l}]],
	Operator[P, {i, j}, {k, l}],
	TestID->"Hermitian-20160701-J7K6L4"
]

Test[
	Hermitian[3 + I Pi/2],
	3 - I Pi/2,
	TestID->"Hermitian-20160701-I7E3C5"
]

Test[
	Hermitian[(3 + I 4) Operator[A]],
	(3 - I 4) Operator[A, "H"],
	TestID->"Hermitian-20160701-Q5Z5E1"
]

Test[
	Hermitian[Operator[A] + Operator[B]],
	Operator[A, "H"] + Operator[B, "H"],
	TestID->"Hermitian-20160701-R4J4H2"
]

(*	TODO: again no restriction in rule
	(NonCommutativeMultiply shouldn't be applied to constants)
*)
Test[
	Hermitian[Operator[A] ** Operator[B]],
	Operator[B, "H"] ** Operator[A, "H"],
	TestID->"Hermitian-20160701-T4M1W0"
]

Test[
	Hermitian[Ket[m, {i}, {}]],
	Bra[m, {i}, {}],
	TestID->"Hermitian-20160701-W1U9W0"
]

Test[
	Hermitian[Bra[m, {i}, {}]],
	Ket[m, {i}, {}],
	TestID->"Hermitian-20160701-G0N3I7"
]

Test[
	Hermitian[Operator[C, {i}, {}][x, t]],
	Operator[C, "H", {i}, {}][x, t],
	TestID->"Hermitian-20160701-G7P3M1"
]

Test[
	Hermitian[Operator[C]^5],
	Operator[C, "H"]^5,
	TestID->"Hermitian-20160701-O9K0V1"
]

Test[
	Hermitian[Exp[Operator[D]]],
	Exp[Operator[D, "H"]],
	TestID->"Hermitian-20160701-M5A3D6"
]

Test[
	Hermitian[BraKet[{a}, {b}]],
	BraKet[{b}, {a}],
	TestID->"Hermitian-20170221-T9I2C5"
]

Test[
	Hermitian[3.1 + 4 * I + BraKet[{a}, {b}]],
	3.1 - 4 * I + BraKet[{b}, {a}],
	TestID->"Hermitian-20170221-Y3X1O0"
]
