(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     19444,        597]
NotebookOptionsPosition[     14008,        450]
NotebookOutlinePosition[     17873,        538]
CellTagsIndexPosition[     17788,        533]
WindowTitle->BraKet - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUMALGEBRA PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Bra .\"\>":>Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/Bra"], "\<\"Ket .\"\>":>
       Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/Ket"], "\<\"Operator\"\>":>
       Documentation`HelpLookup["paclet:QuantumAlgebra/ref/Operator"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuantumAlgebra/ref/BraKet\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuantumAlgebra/ref/BraKet"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuantumAlgebra/ref/\
BraKet.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuantumAlgebra/ref/BraKet", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["BraKet", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"BraKet", "[", 
       RowBox[{
        RowBox[{"{", "A__", "}"}], ",", 
        RowBox[{"{", "B__", "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]is the simple form of a BraKet object where the \
sequences A and B label the BraKet. Additional forms allow the usage of \
indices. Whereas the indices of Kets are on their right-hand side and the \
indices of Bras are on their left-hand side, BraKets can have their indices \
placed on both sides. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"BraKet", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"A__", ",", 
          RowBox[{"{", 
           StyleBox["x__", "TI"], "}"}], ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", "B__", "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]has placed subscripts (x) on the left-hand side. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"BraKet", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"A__", ",", 
          RowBox[{"{", "}"}], ",", 
          RowBox[{"{", 
           StyleBox["y__", "TI"], "}"}]}], "}"}], ",", 
        RowBox[{"{", "B__", "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]has superscripts (y) on the left. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"BraKet", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"A__", ",", 
          RowBox[{"{", 
           StyleBox["x__", "TI"], "}"}], ",", 
          RowBox[{"{", 
           StyleBox["y__", "TI"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"B__", ",", 
          RowBox[{"{", 
           StyleBox["u__", "TI"], "}"}], ",", 
          RowBox[{"{", 
           StyleBox["v__", "TI"], "}"}]}], "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]has all kinds of indices. More combinations are \
posible. "
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, {None}}, "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->59757806],

Cell["\<\
ALIASES: \[LineSeparator][ESC] braket [ESC]     : braket \
\[LineSeparator][ESC] braketd [ESC]    : braket with right-handed subscript \
\[LineSeparator][ESC] ubraket [ESC]    : braket with left-handed superscript \
\[LineSeparator][ESC] dubraketdu [ESC] : braket with both scripts on both \
sides. \[LineSeparator]More combinations are possible using u(up) and \
d(down). \[LineSeparator]\[LineSeparator]BraKet is also used as a tag for \
TagBoxes that guide the interpretation of the internal structure of braket \
notation.\
\>", "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->90304815],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->254943223],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "the", " ", "application"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<QuantumAlgebra`\>\"", "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->428642466],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellID->444629057],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellID->224266972],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellID->195925690],

Cell[BoxData["\<\"For proper styling You should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellID->874749501]
}, Open  ]],

Cell[BoxData["\<\"ALIASES:\\nESC op ESC - Operator without index\\nESC hop \
ESC - Hermitian Operator without index\\nESC ket ESC - Ket without \
index\\nESC ketd ESC - Ket with subscript(s)\\nESC ketu ESC - Ket with \
superscript(s)\\nESC ketdu ESC - Ket with subscript(s) & superscript(s)\\nESC \
bra ESC - Ket without index\\nESC dbra ESC - Bra with subscript(s)\\nESC ubra \
ESC - Bra with superscript(s)\\nESC dubra ESC - Bra with subscript(s) & \
superscript(s)\\nESC (du)braket(du) ESC - Bra with (left and / or right) \
subscript(s) and / or superscript(s).\"\>"], "Output",
 ImageSize->{390, 220},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->24039134]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Input", " ", "in", " ", "FullForm"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"BraKet", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", ",", 
      RowBox[{"{", "i", "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", 
      RowBox[{"{", "j", "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->33993729],

Cell[BoxData[
 TagBox[
  RowBox[{
   SubscriptBox["\[InvisiblePrefixScriptBase]", 
    TagBox[
     AdjustmentBox[
      TagBox["i",
       QuantumAlgebra`QuantumNotation`BraArgs,
       BaseStyle->"BraKetArg"],
      BoxBaselineShift->0],
     QuantumAlgebra`QuantumNotation`UDScript,
     BaseStyle->"LIndex"]], 
   SubscriptBox[
    RowBox[{"\[LeftAngleBracket]", 
     AdjustmentBox[
      RowBox[{
       TagBox["m",
        QuantumAlgebra`QuantumNotation`BraKetArgs,
        BaseStyle->"BraKetArg"], "\[VerticalSeparator]", 
       TagBox["n",
        QuantumAlgebra`QuantumNotation`BraKetArgs,
        BaseStyle->"BraKetArg"]}],
      BoxBaselineShift->0], "\[RightAngleBracket]"}], 
    TagBox[
     AdjustmentBox[
      TagBox["j",
       QuantumAlgebra`QuantumNotation`BraArgs,
       BaseStyle->"BraKetArg"],
      BoxBaselineShift->0],
     QuantumAlgebra`QuantumNotation`UDScript,
     BaseStyle->"RIndex"]]}],
  BraKet,
  BaseStyle->"BraKetWrapper"]], "Output",
 ImageSize->{60, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->203042339]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Input", " ", "with", " ", "Input", " ", "Alias", " ", "ESC", " ", 
    "dbraketd", " ", "ESC"}], " ", "*)"}], "\[IndentingNewLine]", 
  TagBox[
   RowBox[{
    SubscriptBox["\[InvisiblePrefixScriptBase]", 
     TagBox[
      AdjustmentBox[
       TagBox["i",
        QuantumAlgebra`QuantumNotation`BraArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0],
      QuantumAlgebra`QuantumNotation`UDScript,
      BaseStyle->"LIndex"]], 
    SubscriptBox[
     RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       RowBox[{
        TagBox["u",
         QuantumAlgebra`QuantumNotation`BraKetArgs,
         BaseStyle->"BraKetArg"], "\[VerticalSeparator]", 
        TagBox["v",
         QuantumAlgebra`QuantumNotation`BraKetArgs,
         BaseStyle->"BraKetArg"]}],
       BoxBaselineShift->0], "\[RightAngleBracket]"}], 
     TagBox[
      AdjustmentBox[
       TagBox["j",
        QuantumAlgebra`QuantumNotation`BraArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0],
      QuantumAlgebra`QuantumNotation`UDScript,
      BaseStyle->"RIndex"]]}],
   BraKet,
   BaseStyle->"BraKetWrapper"]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->531124749],

Cell[BoxData[
 TagBox[
  RowBox[{
   SubscriptBox["\[InvisiblePrefixScriptBase]", 
    TagBox[
     AdjustmentBox[
      TagBox["i",
       QuantumAlgebra`QuantumNotation`BraArgs,
       BaseStyle->"BraKetArg"],
      BoxBaselineShift->0],
     QuantumAlgebra`QuantumNotation`UDScript,
     BaseStyle->"LIndex"]], 
   SubscriptBox[
    RowBox[{"\[LeftAngleBracket]", 
     AdjustmentBox[
      RowBox[{
       TagBox["u",
        QuantumAlgebra`QuantumNotation`BraKetArgs,
        BaseStyle->"BraKetArg"], "\[VerticalSeparator]", 
       TagBox["v",
        QuantumAlgebra`QuantumNotation`BraKetArgs,
        BaseStyle->"BraKetArg"]}],
      BoxBaselineShift->0], "\[RightAngleBracket]"}], 
    TagBox[
     AdjustmentBox[
      TagBox["j",
       QuantumAlgebra`QuantumNotation`BraArgs,
       BaseStyle->"BraKetArg"],
      BoxBaselineShift->0],
     QuantumAlgebra`QuantumNotation`UDScript,
     BaseStyle->"RIndex"]]}],
  BraKet,
  BaseStyle->"BraKetWrapper"]], "Output",
 ImageSize->{59, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->179914207]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellLabel->"In[4]:=",
 CellID->18821223]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 StyleBox[ButtonBox["Bra .",
  BaseStyle->"Link",
  ButtonData->"paclet:QuantumAlgebra/ref/Bra"],
  FontFamily->"Verdana"],
 " ",
 StyleBox[ButtonBox["Ket .",
  BaseStyle->"Link",
  ButtonData->"paclet:QuantumAlgebra/ref/Ket"],
  FontFamily->"Verdana"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Operator",
    BaseStyle->"Link",
    ButtonData->"paclet:QuantumAlgebra/ref/Operator"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"BraKet - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 14, 46.4185383}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {"Operator Bra Ket BraKet Dirac"}, 
    "index" -> True, "label" -> "QuantumAlgebra Package Paclet Symbol", 
    "language" -> "en", "paclet" -> "QuantumAlgebra Package", "status" -> 
    "None", "summary" -> 
    "BraKet[{A__}, {B__}] is the simple form of a BraKet object where the \
sequences A and B label the BraKet. Additional forms allow the usage of \
indices. Whereas the indices of Kets are on their right-hand side and the \
indices of Bras are on their left-hand side, BraKets can have their indices \
placed on both sides. BraKet[{A__, {x__}, {}}, {B__}] has placed subscripts \
(x) on the left-hand side. BraKet[{A__, {}, {y__}}, {B__}] has superscripts \
(y) on the left. BraKet[{A__, {x__}, {y__}}, {B__, {u__}, {v__}}] has all \
kinds of indices. More combinations are posible. ", "synonyms" -> {}, "title" -> 
    "BraKet", "type" -> "Symbol", "uri" -> "QuantumAlgebra/ref/BraKet"}, 
  "LinkTrails" -> "", "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6807, 194, 460, 13, 30, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->90304815]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 17646, 526}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[600, 21, 76, 1, 3, "SymbolColorBar"],
Cell[679, 24, 194, 5, 19, "LinkTrail"],
Cell[876, 31, 2506, 57, 48, "AnchorBarGrid",
 CellID->1],
Cell[3385, 90, 49, 1, 43, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3459, 95, 2120, 60, 286, "Usage"],
Cell[CellGroupData[{
Cell[5604, 159, 579, 17, 42, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->59757806],
Cell[6186, 178, 572, 10, 70, "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6807, 194, 460, 13, 30, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->90304815],
Cell[CellGroupData[{
Cell[7292, 211, 148, 5, 25, "ExampleSection",
 CellID->254943223],
Cell[CellGroupData[{
Cell[7465, 220, 252, 7, 47, "Input",
 CellID->428642466],
Cell[CellGroupData[{
Cell[7742, 231, 99, 1, 23, "Print",
 CellID->444629057],
Cell[7844, 234, 109, 2, 23, "Print",
 CellID->224266972],
Cell[7956, 238, 114, 2, 23, "Print",
 CellID->195925690],
Cell[8073, 242, 116, 2, 23, "Print",
 CellID->874749501]
}, Open  ]],
Cell[8204, 247, 713, 12, 241, "Output",
 CellID->24039134]
}, Open  ]],
Cell[CellGroupData[{
Cell[8954, 264, 470, 16, 70, "Input",
 CellID->33993729],
Cell[9427, 282, 1105, 37, 39, "Output",
 CellID->203042339]
}, Open  ]],
Cell[CellGroupData[{
Cell[10569, 324, 1233, 39, 70, "Input",
 CellID->531124749],
Cell[11805, 365, 1105, 37, 39, "Output",
 CellID->179914207]
}, Open  ]],
Cell[12925, 405, 87, 2, 70, "Input",
 CellID->18821223]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13061, 413, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[13481, 427, 485, 18, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[13981, 448, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
