(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18956,        597]
NotebookOptionsPosition[     13021,        432]
NotebookOutlinePosition[     16983,        522]
CellTagsIndexPosition[     16898,        517]
WindowTitle->Operator - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUMALGEBRA PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Bra . \"\>":>Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/Bra"], "\<\"Ket . \"\>":>
       Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/Ket"], "\<\"BraKet\"\>":>
       Documentation`HelpLookup["paclet:QuantumAlgebra/ref/BraKet"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuantumAlgebra Guide\"\>":>
       Documentation`HelpLookup[
       "paclet:QuantumAlgebra/guide/QuantumAlgebraGuide"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuantumAlgebra/ref/Operator\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuantumAlgebra/ref/Operator"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuantumAlgebra/ref/\
Operator.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuantumAlgebra/ref/Operator", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["Operator", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Operator", "[", 
       ButtonBox["A",
        BaseStyle->"Link",
        ButtonData->"paclet:ref/A"], "]"}]], "InlineFormula"],
     "\[LineSeparator]defines an operator object, where A is the label of the \
operator. Some other forms are defined as follows. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Operator", "[", 
       RowBox[{
        ButtonBox["A",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/A"], ",", 
        StyleBox["x", "TI"], ",", 
        RowBox[{"{", "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]defines an operator where ",
     Cell[BoxData[
      StyleBox["x", "TI"]], "InlineFormula"],
     " is a list of subscript indices. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Operator", "[", 
       RowBox[{
        ButtonBox["A",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/A"], ",", 
        RowBox[{"{", "}"}], ",", 
        StyleBox["y", "TI"]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]defines an operator where ",
     Cell[BoxData[
      StyleBox["y", "TI"]], "InlineFormula"],
     " is a list of superscript indices. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Operator", "[", 
       RowBox[{
        ButtonBox["A",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/A"], ",", 
        StyleBox["x", "TI"], ",", 
        StyleBox["y", "TI"]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]defines an operator where both subscripts and \
superscrips are given. If y is an integer this is interpreted as Power. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Operator", "[", "__", "]"}]], "InlineFormula"],
     Cell[BoxData[
      RowBox[{"[", 
       StyleBox["t__", "TI"], "]"}]], "InlineFormula"],
     "\[LineSeparator]contains additional variables. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Operator", "[", 
       RowBox[{
        ButtonBox["A",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/A"], ",", "\"\<H\>\"", ",", "__"}], "]"}]], 
      "InlineFormula"],
     "\[LineSeparator]contains a label ",
     Cell[BoxData["\"\<H\>\""], "InlineFormula"],
     " signifying a hermitian operator for ",
     Cell[BoxData[
      RowBox[{"Operator", "[", 
       ButtonBox["A",
        BaseStyle->"Link",
        ButtonData->"paclet:ref/A"], "]"}]], "InlineFormula"],
     ". "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Operator", "[", "1", "]"}]], "InlineFormula"],
     "\[LineSeparator]and ",
     Cell[BoxData[
      RowBox[{"Operator", "[", "0", "]"}]], "InlineFormula"],
     " are interpreted as the identity and zero operators respectively."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, None, None, None, {None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->79963351],

Cell["\<\
ALIASES: \[LineSeparator][ESC] op [ESC]  : operator. \[LineSeparator][ESC] \
hop [ESC] : hermitian operator.\
\>", "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->20723275],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->426180784],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "the", " ", "application"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<QuantumAlgebra`\>\"", "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->316429542],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellID->283865661],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellID->351484068],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellID->104985719],

Cell[BoxData["\<\"For proper styling You should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellID->408387651]
}, Open  ]],

Cell[BoxData["\<\"ALIASES:\\nESC op ESC - Operator without index\\nESC hop \
ESC - Hermitian Operator without index\\nESC ket ESC - Ket without \
index\\nESC ketd ESC - Ket with subscript(s)\\nESC ketu ESC - Ket with \
superscript(s)\\nESC ketdu ESC - Ket with subscript(s) & superscript(s)\\nESC \
bra ESC - Ket without index\\nESC dbra ESC - Bra with subscript(s)\\nESC ubra \
ESC - Bra with superscript(s)\\nESC dubra ESC - Bra with subscript(s) & \
superscript(s)\\nESC (du)braket(du) ESC - Bra with (left and / or right) \
subscript(s) and / or superscript(s).\"\>"], "Output",
 ImageSize->{390, 220},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->444055662]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Input", " ", "in", " ", "FullForm"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Operator", "[", "H", "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->17305950],

Cell[BoxData[
 OverscriptBox["H", "^"]], "Output",
 ImageSize->{11, 17},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->651415889]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Operator", "[", 
  RowBox[{"H", ",", "\"\<H\>\""}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->99130355],

Cell[BoxData[
 SuperscriptBox[
  OverscriptBox["H", "^"], "\[Dagger]"]], "Output",
 ImageSize->{17, 17},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->106182075]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Operator", "[", 
  RowBox[{"A", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "j"}], "}"}], ",", 
   RowBox[{"{", "}"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->181268179],

Cell[BoxData[
 SubscriptBox[
  OverscriptBox["A", "^"], 
  RowBox[{"i", ",", "j"}]]], "Output",
 ImageSize->{27, 19},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->18255877]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Input", " ", "with", " ", "input", " ", "alias", " ", "ESC", " ", "op", 
    " ", "ESC"}], " ", "*)"}], "\[IndentingNewLine]", 
  OverscriptBox["V", "^"]}]], "Input",
 CellLabel->"In[5]:=",
 CellID->37004807],

Cell[BoxData[
 OverscriptBox["V", "^"]], "Output",
 ImageSize->{13, 17},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->654612170]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 StyleBox[ButtonBox["Bra . ",
  BaseStyle->"Link",
  ButtonData->"paclet:QuantumAlgebra/ref/Bra"],
  FontFamily->"Verdana"],
 StyleBox[ButtonBox["Ket . ",
  BaseStyle->"Link",
  ButtonData->"paclet:QuantumAlgebra/ref/Ket"],
  FontFamily->"Verdana"],
 StyleBox[ButtonBox["BraKet",
  BaseStyle->"Link",
  ButtonData->"paclet:QuantumAlgebra/ref/BraKet"],
  FontFamily->"Verdana"]
}], "SeeAlso",
 CellID->9321290]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuantumAlgebra Guide",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebraGuide"]], "MoreAbout",
 CellID->305060499]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Operator - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 15, 0.6671213}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {"Operator Bra Ket BraKet Dirac"}, 
    "index" -> True, "label" -> "QuantumAlgebra Package Paclet Symbol", 
    "language" -> "en", "paclet" -> "QuantumAlgebra Package", "status" -> 
    "None", "summary" -> 
    "Operator[A] defines an operator object, where A is the label of the \
operator. Some other forms are defined as follows. Operator[A, x, {}] defines \
an operator where x is a list of subscript indices. Operator[A, {}, y] \
defines an operator where y is a list of superscript indices. Operator[A, x, \
y] defines an operator where both subscripts and superscrips are given. If y \
is an integer this is interpreted as Power. Operator[__][t__] contains \
additional variables. Operator[A, \"H\", __] contains a label \"H\" \
signifying a hermitian operator for Operator[A]. Operator[1] and Operator[0] \
are interpreted as the identity and zero operators respectively.", 
    "synonyms" -> {}, "title" -> "Operator", "type" -> "Symbol", "uri" -> 
    "QuantumAlgebra/ref/Operator"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7544, 224, 460, 13, 30, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->20723275]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 16756, 510}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[602, 21, 76, 1, 3, "SymbolColorBar"],
Cell[681, 24, 194, 5, 19, "LinkTrail"],
Cell[878, 31, 2782, 64, 48, "AnchorBarGrid",
 CellID->1],
Cell[3663, 97, 51, 1, 43, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3739, 102, 2995, 89, 443, "Usage"],
Cell[CellGroupData[{
Cell[6759, 195, 579, 17, 42, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->79963351],
Cell[7341, 214, 154, 4, 70, "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7544, 224, 460, 13, 30, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->20723275],
Cell[CellGroupData[{
Cell[8029, 241, 148, 5, 25, "ExampleSection",
 CellID->426180784],
Cell[CellGroupData[{
Cell[8202, 250, 252, 7, 47, "Input",
 CellID->316429542],
Cell[CellGroupData[{
Cell[8479, 261, 99, 1, 70, "Print",
 CellID->283865661],
Cell[8581, 264, 109, 2, 70, "Print",
 CellID->351484068],
Cell[8693, 268, 114, 2, 70, "Print",
 CellID->104985719],
Cell[8810, 272, 116, 2, 70, "Print",
 CellID->408387651]
}, Open  ]],
Cell[8941, 277, 714, 12, 241, "Output",
 CellID->444055662]
}, Open  ]],
Cell[CellGroupData[{
Cell[9692, 294, 228, 7, 70, "Input",
 CellID->17305950],
Cell[9923, 303, 180, 6, 38, "Output",
 CellID->651415889]
}, Open  ]],
Cell[CellGroupData[{
Cell[10140, 314, 134, 4, 70, "Input",
 CellID->99130355],
Cell[10277, 320, 212, 7, 38, "Output",
 CellID->106182075]
}, Open  ]],
Cell[CellGroupData[{
Cell[10526, 332, 205, 7, 70, "Input",
 CellID->181268179],
Cell[10734, 341, 224, 8, 40, "Output",
 CellID->18255877]
}, Open  ]],
Cell[CellGroupData[{
Cell[10995, 354, 270, 8, 70, "Input",
 CellID->37004807],
Cell[11268, 364, 180, 6, 38, "Output",
 CellID->654612170]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11509, 377, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[11929, 391, 425, 14, 70, "SeeAlso",
 CellID->9321290]
}, Open  ]],
Cell[CellGroupData[{
Cell[12391, 410, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[12813, 424, 166, 3, 70, "MoreAbout",
 CellID->305060499]
}, Open  ]],
Cell[12994, 430, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
