(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18582,        534]
NotebookOptionsPosition[     13343,        403]
NotebookOutlinePosition[     17531,        495]
CellTagsIndexPosition[     17446,        490]
WindowTitle->QASet - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUMALGEBRA PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[Cell[BoxData[
     ActionMenuBox[
      FrameBox["\<\"URL \[RightGuillemet]\"\>",
       StripOnInput->False], {"\<\"QuantumAlgebra/ref/QASet\"\>":>
      None, "\<\"Copy Mathematica url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell["QuantumAlgebra/ref/QASet"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; Null], 
      Delimiter, "\<\"Copy web url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell[
             BoxData[
              MakeBoxes[
               Hyperlink[
               "http://reference.wolfram.com/mathematica/QuantumAlgebra/ref/\
QASet.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
           Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; 
       Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
        NotebookLocate[{
          URL[
           StringJoin[
           "http://reference.wolfram.com/mathematica/", 
            "QuantumAlgebra/ref/QASet", ".html"]], None}]}]},
      Appearance->None,
      MenuAppearance->Automatic]],
     LineSpacing->{1.4, 0}]], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["QASet", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"QASet", "[", 
       RowBox[{
        SubscriptBox[
         StyleBox["expr", "TI"], 
         StyleBox["1", "TR"]], " ", "=", " ", 
        SubscriptBox[
         StyleBox["expr", "TI"], 
         StyleBox["2", "TR"]]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]and ",
     Cell[BoxData[
      RowBox[{"QASet", "[", 
       RowBox[{
        SubscriptBox[
         StyleBox["expr", "TI"], 
         StyleBox["1", "TR"]], " ", ":=", " ", 
        SubscriptBox[
         StyleBox["expr", "TI"], 
         StyleBox["2", "TR"]]}], "]"}]], "InlineFormula"],
     " where expr1 and expr2 involve quantum objects like operators, bras, \
kets, ... , first evaluates the Set and SetDelayed operations as given in its \
argument. After that, ",
     Cell[BoxData[
      ButtonBox["QASet",
       BaseStyle->"Link",
       ButtonData->"paclet:QuantumAlgebra/ref/QASet"]], "InlineFormula"],
     " tries to set up definitions that can be deduced from the first \
relation. \[LineSeparator]For example if we evaluate ",
     Cell[BoxData[
      RowBox[{"QASet", "[", " ", 
       RowBox[{
        RowBox[{
         ButtonBox["Commutator",
          BaseStyle->"Link",
          ButtonData->"paclet:QuantumAlgebra/ref/Commutator"], "[", 
         RowBox[{
          ButtonBox["A",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/A"], ",", 
          ButtonBox["B",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/B"]}], "]"}], " ", "=", " ", 
        ButtonBox["C",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/C"]}], " ", "]"}]], "InlineFormula"],
     " then the argument is evaluated in the usual way. But from this set it \
can be deduced that ",
     Cell[BoxData[
      RowBox[{
       ButtonBox["Commutator",
        BaseStyle->"Link",
        ButtonData->"paclet:QuantumAlgebra/ref/Commutator"], "[", 
       RowBox[{
        ButtonBox["B",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/B"], ",", 
        ButtonBox["A",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/A"]}], "]"}]], "InlineFormula"],
     " = -C, so ",
     Cell[BoxData[
      ButtonBox["QASet",
       BaseStyle->"Link",
       ButtonData->"paclet:QuantumAlgebra/ref/QASet"]], "InlineFormula"],
     " also does this assignment. \[LineSeparator]",
     Cell[BoxData[
      ButtonBox["QASet",
       BaseStyle->"Link",
       ButtonData->"paclet:QuantumAlgebra/ref/QASet"]], "InlineFormula"],
     " can handle the following definitions: \[LineSeparator] - ",
     Cell[BoxData[
      RowBox[{"QASet", "[", " ", 
       RowBox[{
        RowBox[{
         ButtonBox["Com",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/Com"], "[", 
         RowBox[{
          ButtonBox["A",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/A"], ",", 
          ButtonBox["B",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/B"]}], "]"}], " ", "=", " ", 
        StyleBox["expr", "TI"]}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator] - ",
     Cell[BoxData[
      RowBox[{"QASet", "[", " ", 
       RowBox[{
        RowBox[{
         ButtonBox["Com",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/Com"], "[", 
         RowBox[{
          ButtonBox["A",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/A"], ",", 
          RowBox[{
           ButtonBox["Com",
            BaseStyle->"Link",
            ButtonData->"paclet:ref/Com"], "[", 
           RowBox[{
            ButtonBox["A",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/A"], ",", 
            ButtonBox["B",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/B"]}], "]"}]}], "]"}], " ", "=", " ", 
        StyleBox["expr", "TI"]}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator] - ",
     Cell[BoxData[
      RowBox[{"QASet", "[", " ", 
       RowBox[{
        RowBox[{
         ButtonBox["Com",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/Com"], "[", 
         RowBox[{
          RowBox[{
           ButtonBox["Com",
            BaseStyle->"Link",
            ButtonData->"paclet:ref/Com"], "[", 
           RowBox[{
            ButtonBox["A",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/A"], ",", 
            ButtonBox["B",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/B"]}], "]"}], ",", 
          RowBox[{
           ButtonBox["Com",
            BaseStyle->"Link",
            ButtonData->"paclet:ref/Com"], "[", 
           RowBox[{
            ButtonBox["C",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/C"], ",", 
            ButtonBox["D",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/D"]}], "]"}]}], "]"}], " ", "=", " ", 
        StyleBox["expr", "TI"]}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator] - ",
     Cell[BoxData[
      RowBox[{"QASet", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          ButtonBox["Com",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/Com"], "[", 
          RowBox[{
           ButtonBox["A",
            BaseStyle->"Link",
            ButtonData->"paclet:ref/A"], ",", 
           RowBox[{
            ButtonBox["Com",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/Com"], "[", 
            RowBox[{
             ButtonBox["A",
              BaseStyle->"Link",
              ButtonData->"paclet:ref/A"], ",", 
             ButtonBox["B",
              BaseStyle->"Link",
              ButtonData->"paclet:ref/B"]}], "]"}]}], "]"}], " ", "=", " ", 
         "0"}], ",", " ", 
        RowBox[{
         RowBox[{
          ButtonBox["Com",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/Com"], "[", 
          RowBox[{
           ButtonBox["B",
            BaseStyle->"Link",
            ButtonData->"paclet:ref/B"], ",", 
           RowBox[{
            ButtonBox["Com",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/Com"], "[", 
            RowBox[{
             ButtonBox["A",
              BaseStyle->"Link",
              ButtonData->"paclet:ref/A"], ",", 
             ButtonBox["B",
              BaseStyle->"Link",
              ButtonData->"paclet:ref/B"]}], "]"}]}], "]"}], " ", "=", " ", 
         "0"}]}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator] - ",
     Cell[BoxData[
      RowBox[{"QASet", "[", " ", 
       RowBox[{
        RowBox[{
         ButtonBox["A",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/A"], " ", "**", " ", 
         RowBox[{
          ButtonBox["Ket",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/Ket"], "[", 
          StyleBox["n", "TI"], "]"}]}], " ", "=", " ", 
        RowBox[{
         StyleBox["a", "TI"], " ", 
         RowBox[{
          ButtonBox["Ket",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/Ket"], "[", 
          StyleBox["n", "TI"], "]"}]}]}], " ", "]"}]], "InlineFormula"],
     " \[LineSeparator]where A, B, C, D are operators and Com means ",
     Cell[BoxData[
      ButtonBox["Commutator",
       BaseStyle->"Link",
       ButtonData->"paclet:QuantumAlgebra/ref/Commutator"]], "InlineFormula"],
     ". Also := can be used  instead of = if neccesary. For a full dicussion \
see QuantumAlgebra.nb Section 8. "
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->32963658],

Cell["Use QAClear to remove a definition established with QASet", "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->360882492],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->380105338],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "the", " ", "application"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<QuantumAlgebra`\>\"", "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->945174594],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellID->782918495],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellID->39284235],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellID->183262468],

Cell[BoxData["\<\"For proper styling You should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellID->742375002]
}, Open  ]],

Cell[BoxData["\<\"ALIASES:\\nESC op ESC - Operator without index\\nESC hop \
ESC - Hermitian Operator without index\\nESC ket ESC - Ket without \
index\\nESC ketd ESC - Ket with subscript(s)\\nESC ketu ESC - Ket with \
superscript(s)\\nESC ketdu ESC - Ket with subscript(s) & superscript(s)\\nESC \
bra ESC - Ket without index\\nESC dbra ESC - Bra with subscript(s)\\nESC ubra \
ESC - Bra with superscript(s)\\nESC dubra ESC - Bra with subscript(s) & \
superscript(s)\\nESC (du)braket(du) ESC - Bra with (left and / or right) \
subscript(s) and / or superscript(s).\"\>"], "Output",
 ImageSize->{390, 220},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->269373812]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"QASet - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 15, 16.8011686}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {"QASet QAClear"}, "index" -> True, 
    "label" -> "QuantumAlgebra Package Paclet Symbol", "language" -> "en", 
    "paclet" -> "QuantumAlgebra Package", "status" -> "None", "summary" -> 
    "QASet[expr_1 = expr_2] and QASet[expr_1 := expr_2] where expr1 and expr2 \
involve quantum objects like operators, bras, kets, ... , first evaluates the \
Set and SetDelayed operations as given in its argument. After that, QASet \
tries to set up definitions that can be deduced from the first relation. For \
example if we evaluate QASet[Commutator[A, B] = C ] then the argument is \
evaluated in the usual way. But from this set it can be deduced that \
Commutator[B, A] = -C, so QASet also does this assignment. QASet can handle \
the following definitions: - QASet[Com[A, B] = expr ] - QASet[Com[A, Com[A, \
B]] = expr ] - QASet[Com[Com[A, B], Com[C, D]] = expr ] - QASet[Com[A, Com[A, \
B]] = 0, Com[B, Com[A, B]] = 0 ] - QASet[A ** Ket[n] = a Ket[n] ] where A, B, \
C, D are operators and Com means Commutator. Also := can be used instead of = \
if neccesary. For a full dicussion see QuantumAlgebra.nb Section 8. ", 
    "synonyms" -> {}, "title" -> "QASet", "type" -> "Symbol", "uri" -> 
    "QuantumAlgebra/ref/QASet"}, "LinkTrails" -> "", "SearchTextTranslated" -> 
  ""},
CellContext->"Global`",
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[11166, 331, 461, 13, 30, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->360882492]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 17302, 483}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[599, 21, 76, 1, 3, "SymbolColorBar"],
Cell[678, 24, 194, 5, 19, "LinkTrail"],
Cell[875, 31, 1882, 42, 48, "AnchorBarGrid",
 CellID->1],
Cell[2760, 75, 48, 1, 43, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[2833, 80, 7582, 221, 275, "Usage"],
Cell[CellGroupData[{
Cell[10440, 305, 579, 17, 42, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->32963658],
Cell[11022, 324, 95, 1, 70, "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11166, 331, 461, 13, 30, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->360882492],
Cell[CellGroupData[{
Cell[11652, 348, 148, 5, 25, "ExampleSection",
 CellID->380105338],
Cell[CellGroupData[{
Cell[11825, 357, 252, 7, 47, "Input",
 CellID->945174594],
Cell[CellGroupData[{
Cell[12102, 368, 99, 1, 23, "Print",
 CellID->782918495],
Cell[12204, 371, 108, 2, 23, "Print",
 CellID->39284235],
Cell[12315, 375, 114, 2, 23, "Print",
 CellID->183262468],
Cell[12432, 379, 116, 2, 23, "Print",
 CellID->742375002]
}, Open  ]],
Cell[12563, 384, 714, 12, 241, "Output",
 CellID->269373812]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[13316, 401, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
